%global momorel 6
%global geckover 1.9.2
%global src_name ruby-gnome2

%global ruby_sitelib %(ruby18 -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global ruby_sitearch %(ruby18 -rrbconfig -e "puts Config::CONFIG['sitearchdir']")

Summary: Ruby/GNOME2
Name: ruby18-gnome2
Version: 0.19.4
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://ruby-gnome2.sourceforge.jp/

Source0: http://dl.sourceforge.net/sourceforge/%{src_name}/%{src_name}-all-%{version}.tar.gz 
NoSource: 0
Patch0:         ruby-gnome2-0.17.0-rc1-script.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby18 ruby18-devel gtk2-devel libgnome-devel libgnomeui-devel
BuildRequires:  ruby(abi) = 1.8

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gnomecanvas2) = %{version}-%{release}

Provides:       ruby18(gnome2) =  %{version}-%{release}


%description
Ruby/GNOME2 is a Ruby binding of libgnome/libgnomeui-2.x.

%package devel
Summary:        Development libraries and header files for ruby18-gnome2
Group:          Development/Libraries

Requires:       ruby18(gnome2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gnome2-devel) = %{version}-%{release}

%description devel
Ruby/GNOME2 is a Ruby binding of libgnome/libgnomeui-2.x.
This package provides libraries and header files for ruby18-gnome2

%package -n ruby18-atk
Summary:        Ruby binding of ATK-1.0.x or later
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel glib2-devel atk-devel 
#BuildRequires:  ruby18(glib2-devel) = %{version}

Requires:       ruby(abi) = 1.8 ruby18(glib2) = %{version}-%{release}

Provides:       ruby18(atk) = %{version}-%{release}

%description -n ruby18-atk
Ruby/ATK is a Ruby binding of ATK-1.0.x or later.

%package -n ruby18-atk-devel
Summary:        Development libraries and header files for ruby18-atk
Group:          Development/Libraries

Requires:       ruby18-devel ruby18(atk) = %{version}-%{release} 
Requires:       ruby18(glib2-devel) = %{version}-%{release}
Requires:       atk-devel
Requires:       pkgconfig

Provides:       ruby18(atk-devel) = %{version}-%{release}

%description -n ruby18-atk-devel
Ruby/ATK is a Ruby binding of ATK-1.0.x or later.
This package provides libraries and header files for ruby18-atk

%package -n ruby18-bonobo2
Summary:        Ruby binding of libbonobo-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel
BuildRequires:  libbonoboui-devel

Requires:       ruby(abi) = 1.8 ruby18(gtk2) = %{version}-%{release}

Provides:       ruby18(bonobo2) = %{version}-%{release}

%description -n ruby18-bonobo2
Ruby/Bonobo2 is a Ruby binding of libbonobo-2.x.

%package -n ruby18-bonobo2-devel
Summary:        Development libraries and header files for ruby18-bonobo2
Group:          Development/Libraries

Requires:       ruby18(bonobo2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(bonobo2-devel) = %{version}-%{release}

%description -n ruby18-bonobo2-devel
Ruby/Bonobo2 is a Ruby binding of libbonobo-2.x.
This package provides libraries and header files for ruby18-bonobo2

%package -n ruby18-bonoboui2
Summary:        Ruby binding of libbonoboui-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel
BuildRequires:  libbonoboui-devel libgnomeui-devel

Requires:       ruby(abi) = 1.8 ruby18(gnome2) = %{version}-%{release}

Provides:       ruby18(bonoboui2) = %{version}-%{release}

%description -n ruby18-bonoboui2
Ruby/BonoboUI2 is a Ruby binding of libbonoboui-2.x.

%package -n ruby18-bonoboui2-devel
Summary:        Development libraries and header files for ruby18-bonoboui2
Group:          Development/Libraries

Requires:       ruby18(bonoboui2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(bonoboui2-devel) = %{version}-%{release}

%description -n ruby18-bonoboui2-devel
Ruby/BonoboUI2 is a Ruby binding of libbonoboui-2.x.
This package provides libraries and header files for ruby18-bonoboui2

%package -n ruby18-gconf2
Summary:        Ruby binding of GConf-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel GConf2-devel

Requires:       ruby(abi) = 1.8 ruby18(glib2) = %{version}-%{release}

Provides:       ruby18(gconf2) =  %{version}-%{release}

%description -n ruby18-gconf2
Ruby/GConf2 is a Ruby binding of GConf-2.x.

%package -n ruby18-gconf2-devel
Summary:        Development libraries and header files for ruby18-gconf2
Group:          Development/Libraries

Requires:       ruby18(gconf2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gconf2-devel) = %{version}-%{release}

%description -n ruby18-gconf2-devel
Ruby/GConf2 is a Ruby binding of GConf-2.x.
This package provides libraries and header files for ruby18-gconf2

%package -n ruby18-gdkpixbuf2
Summary:        Ruby binding of GdkPixbuf-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel ruby18-cairo-devel
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(gtk2-devel) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(glib2) = %{version}-%{release} ruby18(cairo)

Provides:       ruby18(gdkpixbuf2) =  %{version}-%{release}

%description -n ruby18-gdkpixbuf2
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

%package -n ruby18-gdkpixbuf2-devel
Summary:        Development libraries and header files for ruby18-gdkpixbuf2
Group:          Development/Libraries

Requires:       ruby18(gdkpixbuf2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gdkpixbuf2-devel) = %{version}-%{release}

%description -n ruby18-gdkpixbuf2-devel
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.
This package provides libraries and header files for ruby18-gdkpixbuf2

%package -n ruby18-glib2
Summary:        Ruby binding of GLib-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel glib2-devel

Requires:       ruby(abi) = 1.8

Provides:       ruby18(glib2) =  %{version}-%{release}

%description -n ruby18-glib2
Ruby/GLib2 is a Ruby binding of GLib-2.x.

%package -n ruby18-glib2-devel
Summary:        Development libraries and header files for ruby18-glib2
Group:          Development/Libraries

Requires:       ruby18(glib2) =  %{version}-%{release}
Requires:       ruby18-devel glib2-devel
Requires:       pkgconfig

Provides:       ruby18(glib2-devel) =  %{version}-%{release}

%description -n ruby18-glib2-devel
Ruby/GLib2 is a Ruby binding of GLib-2.x.
This package provides libraries and header files for ruby18-glib2

%package -n ruby18-gnomecanvas2
Summary:        Ruby binding of GnomeCanvas-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel libgnomecanvas-devel

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release} 
Requires:       ruby18(libart2) = %{version}-%{release}

Provides:       ruby18(gnomecanvas2) =  %{version}-%{release}

%description -n ruby18-gnomecanvas2
Ruby/GnomeCanvas2 is a Ruby binding of GnomeCanvas-2.x.

%package -n ruby18-gnomecanvas2-devel
Summary:        Development libraries and header files for ruby18-gnomecanvas2
Group:          Development/Libraries

Requires:       ruby18(gnomecanvas2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gnomecanvas2-devel) = %{version}-%{release}

%description -n ruby18-gnomecanvas2-devel
Ruby/GnomeCanvas2 is a Ruby binding of GnomeCanvas-2.x.
This package provides libraries and header files for ruby18-gnomecanvas2

%package -n ruby18-gnomeprint2
Summary:        Ruby binding of libgnomeprint
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel libgnomeprint22-devel
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(pango-devel) = %{version} 
#BuildRequires:  ruby18(libart2-devel) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(glib2) = %{version}-%{release} ruby18(pango) = %{version}-%{release}
Requires:       ruby18(libart2) = %{version}-%{release}

Provides:       ruby18(gnomeprint2) =  %{version}-%{release}

%description -n ruby18-gnomeprint2
Ruby/GnomePrint is a Ruby binding of libgnomeprint. 

%package -n ruby18-gnomeprint2-devel
Summary:        Development libraries and header files for ruby18-gnomeprint2
Group:          Development/Libraries

Requires:       ruby18(gnomeprint2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gnomeprint2-devel) = %{version}-%{release}

%description -n ruby18-gnomeprint2-devel
Ruby/GnomePrint is a Ruby binding of libgnomeprint.
This package provides libraries and header files for ruby18-gnomeprint2

%package -n ruby18-gnomeprintui2
Summary:        Ruby binding of libgnomeprintui
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel libgnomeprintui22-devel
#BuildRequires:  ruby18(gtk2-devel) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release} ruby18(gnomeprint2) = %{version}-%{release}

Provides:       ruby18(gnomeprintui2) =  %{version}-%{release}

%description -n ruby18-gnomeprintui2
Ruby/GnomePrintUI is a Ruby binding of libgnomeprintui.

%package -n ruby18-gnomeprintui2-devel
Summary:        Development libraries and header files for ruby18-gnomeprintui2
Group:          Development/Libraries

Requires:       ruby18(gnomeprintui2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gnomeprintui2-devel) = %{version}-%{release}

%description -n ruby18-gnomeprintui2-devel
Ruby/GnomePrintUI is a Ruby binding of libgnomeprintui.
This package provides libraries and header files for ruby18-gnomeprintui2

%package -n ruby18-gnomevfs
Summary:        Ruby binding of GnomeVFS-2.0.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gnome-vfs2-devel

Requires:       ruby(abi) = 1.8
Requires:       ruby18(glib2) = %{version}-%{release}

Provides:       ruby18(gnomevfs) =  %{version}-%{release}

%description -n ruby18-gnomevfs
Ruby/GnomeVFS is a Ruby binding of GnomeVFS-2.0.x.

%package -n ruby18-gnomevfs-devel
Summary:        Development libraries and header files for ruby18-gnomevfs
Group:          Development/Libraries

Requires:       ruby18(gnomevfs) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gnomevfs-devel) = %{version}-%{release}

%description -n ruby18-gnomevfs-devel
Ruby/GnomeVFS is a Ruby binding of GnomeVFS-2.0.x.
This package provides libraries and header files for ruby18-gnomevfs

%package -n ruby18-goocanvas
Summary:        Ruby binding of Goocanvas.
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel goocanvas-devel

Requires:       ruby(abi) = 1.8
Requires:       ruby18(glib2) = %{version}-%{release}

Provides:       ruby18(goocanvas) =  %{version}-%{release}

%description -n ruby18-goocanvas
Ruby/Goocanvas is a Ruby binding of Goocanvas

%package -n ruby18-goocanvas-devel
Summary:        Development libraries and header files for ruby18-goocanvas
Group:          Development/Libraries

Requires:       ruby18(goocanvas) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(goocanvas-devel) = %{version}-%{release}

%description -n ruby18-goocanvas-devel
Ruby/Goocanvas is a Ruby binding of Goocanvas
This package provides libraries and header files for ruby18-gnomecanvas

%package -n ruby18-gstreamer
Summary:        Ruby binding of GStreamer
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel
BuildRequires:  gstreamer-devel gstreamer-plugins-base-devel

Requires:       ruby(abi) = 1.8
Requires:       ruby18(glib2) = %{version}-%{release}

Provides:       ruby18(gstreamer) = %{version}-%{release}

%description -n ruby18-gstreamer
Ruby/GStreamer is a Ruby binding for GStreamer

%package -n ruby18-gstreamer-devel
Summary:        Development libraries and header files for ruby18-gstreamer
Group:          Development/Libraries

Requires:       ruby18(gstreamer) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gstreamer-devel) = %{version}-%{release}

%description -n ruby18-gstreamer-devel
Ruby/GStreamer is a Ruby binding for GStreamer
This package provides libraries and header files for ruby18-gstreamer

%package -n ruby18-gtk2
Summary:        Ruby binding of GTK+-2.0.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 gtk2-devel ruby18-cairo-devel
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(pango-devel) = %{version}

Requires:       %{_bindir}/env
Requires:       ruby(abi) = 1.8 
Requires:       ruby18(glib2) = %{version}-%{release} ruby18(atk) = %{version}-%{release}
Requires:       ruby18(pango) =  %{version}-%{release} ruby18(cairo)
Requires:       ruby18(gdkpixbuf2) =  %{version}-%{release}

Provides:       ruby18(gtk2) = %{version}-%{release}

%description -n ruby18-gtk2
Ruby/GTK2 is a Ruby binding of GTK+-2.0.x.

%package -n ruby18-gtk2-devel
Summary:        Development libraries and header files for ruby18-gtk2
Group:          Development/Libraries

Requires:       ruby18(gtk2) =  %{version}-%{release}
Requires:       gtk2-devel ruby18-devel ruby18(glib2-devel) = %{version}-%{release}
Requires:       pkgconfig

Provides:       ruby18(gtk2-devel) = %{version}-%{release}

%description -n ruby18-gtk2-devel
Ruby/GTK2 is a Ruby binding of GTK+-2.0.x.
This package provides libraries and header files for ruby18-gtk2

%package -n ruby18-gtkglext
Summary:        Ruby binding of GtkGLExt
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel gtkglext-devel
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(gtk2-devel) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release}

Provides:       ruby18(gtkglext) = %{version}-%{release}

%description -n ruby18-gtkglext
Ruby/GtkGLExt is a Ruby binding of GtkGLExt.

%package -n ruby18-gtkglext-devel
Summary:        Development libraries and header files for ruby18-gtkglext
Group:          Development/Libraries

Requires:       ruby18(gtkglext) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gtkglext-devel) = %{version}-%{release}

%description -n ruby18-gtkglext-devel
Ruby/GtkGLExt is a Ruby binding of GtkGLExt.
This package provides libraries and header files for ruby18-gtkglext

%package -n ruby18-gtkhtml2
Summary:        Ruby binding of GtkHtml2
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel gtkhtml2-devel

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release}

Provides:       ruby18(gtkhtml2) = %{version}-%{release}

%description -n ruby18-gtkhtml2
Ruby/GtkHtml2 is a Ruby binding of GtkHtml2

%package -n ruby18-gtkhtml2-devel
Summary:        Development libraries and header files for ruby18-gtkhtml2
Group:          Development/Libraries

Requires:       ruby18(gtkhtml2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gtkhtml2-devel) = %{version}-%{release}

%description -n ruby18-gtkhtml2-devel
Ruby/GtkHtml2 is a Ruby binding of GtkHtml2
This package provides libraries and header files for ruby18-gtkhtml2

%package -n ruby18-gtkmozembed
Summary:        Ruby binding of GtkMozEmbed
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel pango-devel 

BuildRequires:  gecko-devel >= 1.9
BuildRequires:  gecko-devel-unstable >= 1.9
Requires:       gecko-libs >= 1.9

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release} 

Provides:       ruby18(gtkmozembed) = %{version}-%{release}

%description -n ruby18-gtkmozembed
Ruby/GtkMozEmbed is a Ruby binding of GtkMozEmbed a widget embedding a
Mozilla Gecko renderer.

%package -n ruby18-gtkmozembed-devel
Summary:        Development libraries and header files for ruby18-gtkmozembed
Group:          Development/Libraries

Requires:       ruby18(gtkmozembed) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gtkmozembed-devel) = %{version}-%{release}

%description -n ruby18-gtkmozembed-devel
Ruby/GtkMozEmbed is a Ruby binding of GtkMozEmbed a widget embedding a
Mozilla Gecko renderer.
This package provides libraries and header files for ruby18-gtkmozembed

%package -n ruby18-gtksourceview
Summary:        Ruby binding of gtksourceview-1.0.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtksourceview-devel
#BuildRequires:  ruby18(gnome2) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release}

Provides:       ruby18(gtksourceview) = %{version}-%{release}

%description -n ruby18-gtksourceview
Ruby/GtkSourceView is a Ruby binding of gtksourceview-1.0.x.

%package -n ruby18-gtksourceview-devel
Summary:        Development libraries and header files for ruby18-gtksourceview
Group:          Development/Libraries

Requires:       ruby18(gtksourceview) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gtksourceview-devel) = %{version}-%{release}

%description -n ruby18-gtksourceview-devel
Ruby/GtkSourceView is a Ruby binding of gtksourceview-1.0.x.
This package provides libraries and header files for ruby18-gtksourceview

%package -n ruby18-gtksourceview2
Summary:        Ruby binding of gtksourceview-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtksourceview2-devel
#BuildRequires:  ruby18(gnome2) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release}

Provides:       ruby18(gtksourceview2) = %{version}-%{release}

%description -n ruby18-gtksourceview2
Ruby/GtkSourceView2 is a Ruby binding of gtksourceview-2.x.

%package -n ruby18-gtksourceview2-devel
Summary:        Development libraries and header files for ruby18-gtksourceview2
Group:          Development/Libraries

Requires:       ruby18(gtksourceview2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(gtksourceview2-devel) = %{version}-%{release}

%description -n ruby18-gtksourceview2-devel
Ruby/GtkSourceView2 is a Ruby binding of gtksourceview-2.x.
This package provides libraries and header files for ruby18-gtksourceview2

%package -n ruby18-libart2
Summary:        Ruby binding of Libart_lgpl
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel libart_lgpl-devel libpng-devel libjpeg-devel >= 8a
#BuildRequires:  ruby18(glib2-devel) = %{version}

Requires:       ruby(abi) = 1.8

Provides:       ruby18(libart2) = %{version}-%{release}

%description -n ruby18-libart2
Ruby/Libart2 is a Ruby binding of Libart_lgpl. 

%package -n ruby18-libart2-devel
Summary:        Development libraries and header files for ruby18-libart2
Group:          Development/Libraries

Requires:       ruby18(libart2) = %{version}-%{release}
Requires:       libart_lgpl-devel ruby18-devel
Requires:       pkgconfig

Provides:       ruby18(libart2-devel) = %{version}-%{release}

%description -n ruby18-libart2-devel
Ruby/Libart2 is a Ruby binding of Libart_lgpl. 
This package provides libraries and header files for ruby18-libart2


%package -n ruby18-libglade2
Summary:        Ruby bindings of Libglade2
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel libgnome-devel libglade2-devel
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(gnome2) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release}
Requires:       ruby18(gnome2) = %{version}-%{release}

Provides:       ruby18(libglade2) = %{version}-%{release}

%description -n ruby18-libglade2
Ruby/Libglade2 is a Ruby bindings of Libglade2.
This provides a very simple interface to the libglade library,
to load interfaces dynamically from a glade file.

%package -n ruby18-libglade2-devel
Summary:        Development libraries and header files for ruby18-libglade2
Group:          Development/Libraries

Requires:       ruby18(libglade2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(libglade2-devel) = %{version}-%{release}

%description -n ruby18-libglade2-devel
Ruby/Libglade2 is a Ruby bindings of Libglade2.
This package provides libraries and header files for ruby18-libglade2

%package -n ruby18-panelapplet2
Summary:        Ruby binding of libpanel-applet-2.6.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel gtk2-devel gnome-panel-devel libgnome-devel 
BuildRequires:  libgnomeui-devel 
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(gtk2-devel) = %{version}

Requires:       %{_bindir}/env
Requires:       %{_bindir}/ruby18
Requires:       ruby(abi) = 1.8
Requires:       ruby18(gnome2) = %{version}-%{release}

Provides:       ruby18(panelapplet2) = %{version}-%{release}

%description -n ruby18-panelapplet2
Ruby/PanelApplet2 is a Ruby binding of libpanel-applet-2.6.x.

%package -n ruby18-panelapplet2-devel
Summary:        Development libraries and header files for ruby18-panelapplet2
Group:          Development/Libraries

Requires:       ruby18(panelapplet2) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(panelapplet2-devel) = %{version}-%{release}

%description -n ruby18-panelapplet2-devel
Ruby/PanelApplet2 is a Ruby binding of libpanel-applet-2.6.x.
This package provides libraries and header files for ruby18-panelapplet2

%package -n ruby18-pango
Summary:        Ruby binding of pango-1.x
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel glib2-devel pango-devel cairo-devel ruby18-cairo-devel
#BuildRequires:  ruby18(glib2-devel) = %{version}

Requires:       ruby(abi) = 1.8
Requires:       ruby18(glib2) = %{version}-%{release} ruby18(cairo)

Provides:       ruby18(pango) = %{version}-%{release}

%description -n ruby18-pango
Ruby/Pango is a Ruby binding of pango-1.x.

%package -n ruby18-pango-devel
Summary:        Development libraries and header files for ruby18-pango
Group:          Development/Libraries

Requires:       ruby18(pango) = %{version}-%{release} 
Requires:       pango-devel ruby18-devel ruby18(glib2-devel) = %{version}-%{release}
Requires:       ruby18-cairo-devel
Requires:       pkgconfig

Provides:       ruby18(pango-devel) = %{version}-%{release}

%description -n ruby18-pango-devel
Ruby/Pango is a Ruby binding of pango-1.x.
This package provides libraries and header files for ruby18-pango

%package -n ruby18-poppler
Summary:        Ruby binding of poppler-glib
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel poppler-devel cairo-devel ruby18-cairo-devel
BuildRequires:  poppler-glib-devel >= 0.14.0
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(gdkpixbuf2) = %{version}

Requires:       %{_bindir}/env
Requires:       ruby(abi) = 1.8
Requires:       ruby18(gdkpixbuf2) = %{version}-%{release}
Requires:       ruby18(gtk2) = %{version}-%{release} ruby18(cairo)

Provides:       ruby18(poppler) = %{version}-%{release}

%description -n ruby18-poppler
Ruby/Poppler is a Ruby binding of poppler-glib.

%package -n ruby18-poppler-devel
Summary:        Development libraries and header files for ruby18-poppler
Group:          Development/Libraries

Requires:       ruby18(poppler) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(poppler-devel) = %{version}-%{release}

%description -n ruby18-poppler-devel
Ruby/Poppler is a Ruby binding of poppler-glib.
This package provides libraries and header files for ruby18-poppler

%package -n ruby18-rsvg
Summary:        Ruby binding of librsvg
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel librsvg2-devel ruby18-cairo-devel
#BuildRequires:  ruby18(glib2-devel) = %{version} ruby18(gdkpixbuf2) = %{version}

Requires:       %{_bindir}/env
Requires:       ruby(abi) = 1.8
Requires:       ruby18(gdkpixbuf2) = %{version}-%{release}
Requires:       ruby18(cairo)

Provides:       ruby18(rsvg) = %{version}-%{release}

%description -n ruby18-rsvg
Ruby/RSVG is a Ruby binding of librsvg.

%package -n ruby18-rsvg-devel
Summary:        Development libraries and header files for ruby18-rsvg
Group:          Development/Libraries

Requires:       ruby18(rsvg) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(rsvg-devel) = %{version}-%{release}

%description -n ruby18-rsvg-devel
Ruby/RSVG is a Ruby binding of librsvg.
This package provides libraries and header files for ruby18-rsvg

%package -n ruby18-vte
Summary:        Ruby binding of VTE
Group:          System Environment/Libraries

BuildRequires:  ruby18 ruby18-devel vte-devel
#BuildRequires:  ruby18(gtk2-devel) = %{version}

Requires:       %{_bindir}/env
Requires:       ruby(abi) = 1.8
Requires:       ruby18(gtk2) = %{version}-%{release}

Provides:       ruby18(vte) = %{version}-%{release}

%description -n ruby18-vte
Ruby/VTE is a Ruby binding of VTE.

%package -n ruby18-vte-devel
Summary:        Development libraries and header files for ruby18-vte
Group:          Development/Libraries

Requires:       ruby18(vte) = %{version}-%{release}
Requires:       pkgconfig
Provides:       ruby18(vte-devel) = %{version}-%{release}

%description -n ruby18-vte-devel
Ruby/VTE is a Ruby binding of VTE.
This package provides libraries and header files for ruby18-vte

%prep
%setup -q -n %{src_name}-all-%{version}

%patch0 -p1

# Fix the attributes of some files
# suppress lots of messages..
set +x
find . -name \*.rb -or -name \*.c | while read f ; do
        chmod 0644 $f
done
set -x

%build
LANG="en_US.utf8" ruby18 extconf.rb
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

# rename ruby-hoge.pc to ruby18-hoge.pc
pushd %{buildroot}%{_libdir}/pkgconfig/
for i in `ls *.pc`; do
  mv $i `echo $i | sed 's/ruby-/ruby18-/g'`
done
popd

mv %{buildroot}/%{_bindir}/ruby{,18}-glade-create-template 

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc gnome/README gnome/ChangeLog gnome/COPYING.LIB gnome/sample
%doc AUTHORS NEWS
%{ruby_sitelib}/gnome2.rb
%{ruby_sitearch}/gnome2.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gnome2.pc

%files -n ruby18-atk
%defattr(-,root,root,-)
%doc atk/ChangeLog atk/COPYING.LIB atk/README
%{ruby_sitelib}/atk.rb
%{ruby_sitearch}/atk.so

%files -n ruby18-atk-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbatk.h
%{ruby_sitearch}/rbatkversion.h
%{_libdir}/pkgconfig/ruby18-atk.pc

%files -n ruby18-bonobo2
%defattr(-,root,root,-)
%doc bonobo/ChangeLog bonobo/COPYING.LIB bonobo/README
%{ruby_sitelib}/bonobo2.rb
%{ruby_sitearch}/bonobo2.so

%files -n ruby18-bonobo2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-bonobo2.pc

%files -n ruby18-bonoboui2
%defattr(-,root,root,-)
%doc bonoboui/ChangeLog bonoboui/COPYING.LIB bonoboui/README
%{ruby_sitelib}/bonoboui2.rb
%{ruby_sitearch}/bonoboui2.so

%files -n ruby18-bonoboui2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-bonoboui2.pc

%files -n ruby18-gconf2
%defattr(-,root,root,-)
%doc gconf/ChangeLog gconf/COPYING.LIB gconf/README gconf/sample
%{ruby_sitelib}/gconf2.rb
%{ruby_sitearch}/gconf2.so

%files -n ruby18-gconf2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gconf2.pc

%files -n ruby18-gdkpixbuf2
%defattr(-,root,root,-)
%doc gdkpixbuf/ChangeLog gdkpixbuf/COPYING.LIB gdkpixbuf/README gdkpixbuf/sample
%{ruby_sitelib}/gdk_pixbuf2.rb
%{ruby_sitearch}/gdk_pixbuf2.so

%files -n ruby18-gdkpixbuf2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gdkpixbuf2.pc

%files -n ruby18-glib2
%defattr(-,root,root,-)
%doc glib/ChangeLog glib/COPYING.LIB glib/README glib/sample
%{ruby_sitelib}/glib2.rb
%{ruby_sitelib}/glib-mkenums.rb
%{ruby_sitelib}/mkmf-gnome2.rb
%{ruby_sitelib}/pkg-config.rb
%{ruby_sitearch}/glib2.so

%files -n ruby18-glib2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbgcompat.h
%{ruby_sitearch}/rbglib.h
%{ruby_sitearch}/rbgobject.h
%{ruby_sitearch}/rbgutil.h
%{ruby_sitearch}/glib-enum-types.h
%{_libdir}/pkgconfig/ruby18-glib2.pc

%files -n ruby18-gnomecanvas2
%defattr(-,root,root,-)
%doc gnomecanvas/ChangeLog gnomecanvas/COPYING.LIB gnomecanvas/README gnomecanvas/sample
%{ruby_sitelib}/gnomecanvas2.rb
%{ruby_sitearch}/gnomecanvas2.so

%files -n ruby18-gnomecanvas2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gnomecanvas2.pc

%files -n ruby18-gnomeprint2
%defattr(-,root,root,-)
%doc gnomeprint/ChangeLog gnomeprint/COPYING.LIB gnomeprint/README gnomeprint/sample
%{ruby_sitelib}/gnomeprint2.rb
%{ruby_sitearch}/gnomeprint2.so

%files -n ruby18-gnomeprint2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rblibgnomeprintversion.h
%{_libdir}/pkgconfig/ruby18-gnomeprint2.pc

%files -n ruby18-gnomeprintui2
%defattr(-,root,root,-)
%doc gnomeprintui/ChangeLog gnomeprintui/COPYING.LIB gnomeprintui/README gnomeprintui/sample
%{ruby_sitelib}/gnomeprintui2.rb
%{ruby_sitearch}/gnomeprintui2.so

%files -n ruby18-gnomeprintui2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gnomeprintui2.pc

%files -n ruby18-gnomevfs
%defattr(-,root,root,-)
%doc gnomevfs/ChangeLog gnomevfs/COPYING.LIB gnomevfs/README
%{ruby_sitelib}/gnomevfs.rb
%{ruby_sitearch}/gnomevfs.so

%files -n ruby18-gnomevfs-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gnomevfs.pc

%files -n ruby18-goocanvas
%defattr(-,root,root,-)
%doc goocanvas/ChangeLog goocanvas/README goocanvas/sample
%{ruby_sitelib}/goocanvas.rb
%{ruby_sitearch}/goocanvas.so

%files -n ruby18-goocanvas-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-goocanvas.pc

%files -n ruby18-gstreamer
%defattr(-,root,root,-)
%doc gstreamer/ChangeLog gstreamer/COPYING.LIB gstreamer/README
%{ruby_sitelib}/gst.rb
%{ruby_sitearch}/gst.so

%files -n ruby18-gstreamer-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gstreamer.pc

%files -n ruby18-gtk2
%defattr(-,root,root,-)
%doc gtk/ChangeLog gtk/COPYING.LIB gtk/README gtk/sample
%attr(755, root, root) %{ruby_sitelib}/gtk2.rb
#%{ruby_sitelib}/gtk2.rb
%dir %{ruby_sitelib}/gtk2
%attr(755, root, root) %{ruby_sitelib}/gtk2/base.rb
#%{ruby_sitelib}/gtk2/base.rb
%{ruby_sitearch}/gtk2.so
# For now include gio here
%if 0
%{ruby_sitelib}/gio2.rb
%{ruby_sitearch}/gio2.so
%endif

%files -n ruby18-gtk2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbgdk.h
%{ruby_sitearch}/rbgdkconversions.h
%{ruby_sitearch}/rbgtk.h
%{ruby_sitearch}/rbgtkconversions.h
%{ruby_sitearch}/rbgtkmacros.h
%{_libdir}/pkgconfig/ruby18-gtk2.pc

%files -n ruby18-gtkglext
%defattr(-,root,root,-)
%doc gtkglext/ChangeLog COPYING.LIB gtkglext/README gtkglext/README.rbogl gtkglext/sample
%{ruby_sitelib}/gtkglext.rb
%{ruby_sitearch}/gtkglext.so

%files -n ruby18-gtkglext-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gtkglext.pc

%files -n ruby18-gtkhtml2
%defattr(-,root,root,-)
%doc gtkhtml2/ChangeLog gtkhtml2/COPYING.LIB gtkhtml2/README gtkhtml2/sample
%{ruby_sitelib}/gtkhtml2.rb
%{ruby_sitearch}/gtkhtml2.so

%files -n ruby18-gtkhtml2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gtkhtml2.pc

%files -n ruby18-gtkmozembed
%defattr(-,root,root,-)
%doc gtkmozembed/ChangeLog gtkmozembed/COPYING.LIB gtkmozembed/README gtkmozembed/sample
%{ruby_sitelib}/gtkmozembed.rb
%{ruby_sitearch}/gtkmozembed.so

%files -n ruby18-gtkmozembed-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gtkmozembed.pc

%files -n ruby18-gtksourceview
%defattr(-,root,root,-)
%doc gtksourceview/ChangeLog gtksourceview/COPYING.LIB gtksourceview/README gtksourceview/sample
%{ruby_sitelib}/gtksourceview.rb
%{ruby_sitearch}/gtksourceview.so

%files -n ruby18-gtksourceview-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gtksourceview.pc

%files -n ruby18-gtksourceview2
%defattr(-,root,root,-)
%doc gtksourceview2/ChangeLog gtksourceview2/COPYING.LIB gtksourceview2/README gtksourceview2/sample
%{ruby_sitelib}/gtksourceview2.rb
%{ruby_sitearch}/gtksourceview2.so

%files -n ruby18-gtksourceview2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-gtksourceview2.pc

%files -n ruby18-libart2
%defattr(-,root,root,-)
%doc libart/ChangeLog libart/COPYING.LIB libart/README libart/sample
%{ruby_sitelib}/libart2.rb
%{ruby_sitearch}/libart2.so

%files -n ruby18-libart2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbart.h
%{_libdir}/pkgconfig/ruby18-libart2.pc

%files -n ruby18-libglade2
%defattr(-,root,root,-)
%doc libglade/ChangeLog libglade/COPYING.LIB libglade/README libglade/sample
%{_bindir}/ruby18-glade-create-template
#%{ruby_sitelib}/libglade2.rb
%attr(755, root, root) %{ruby_sitelib}/libglade2.rb
%{ruby_sitearch}/libglade2.so

%files -n ruby18-libglade2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-libglade2.pc

%files -n ruby18-panelapplet2
%defattr(-,root,root,-)
%doc panel-applet/ChangeLog panel-applet/COPYING.LIB panel-applet/README panel-applet/sample
%{ruby_sitelib}/panelapplet2.rb
%{ruby_sitearch}/panelapplet2*.so

%files -n ruby18-panelapplet2-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-panelapplet2.pc

%files -n ruby18-pango
%defattr(-,root,root,-)
%doc pango/ChangeLog pango/COPYING.LIB pango/README pango/sample
%{ruby_sitelib}/pango.rb
%{ruby_sitearch}/pango.so

%files -n ruby18-pango-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbpango.h
%{ruby_sitearch}/rbpangoversion.h
%{_libdir}/pkgconfig/ruby18-pango.pc

%files -n ruby18-poppler
%defattr(-,root,root,-)
%doc poppler/ChangeLog poppler/COPYING.LIB poppler/README poppler/sample
%{ruby_sitelib}/poppler.rb
%{ruby_sitearch}/poppler.so

%files -n ruby18-poppler-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-poppler.pc

%files -n ruby18-rsvg
%defattr(-,root,root,-)
%doc rsvg/ChangeLog rsvg/COPYING.LIB rsvg/README rsvg/sample
%{ruby_sitelib}/rsvg2.rb
%{ruby_sitearch}/rsvg2.so

%files -n ruby18-rsvg-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-rsvg2.pc

%files -n ruby18-vte
%defattr(-,root,root,-)
%doc vte/ChangeLog vte/COPYING.LIB vte/README vte/sample
%{ruby_sitelib}/vte.rb
%{ruby_sitearch}/vte.so

%files -n ruby18-vte-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/ruby18-vte.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19.4-6m)
- full rebuild for mo7 release

* Sun Aug  8 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19.4-5m)
- rename ruby-gnome to ruby18-gnome

* Thu Aug  5 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19.4-5m)
- rebuild against ruby-1.9.2

* Wed Jun  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.19.4-4m)
- rebuild against poppler-0.14.0

* Tue Jun  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.19.4-3m)
- fix BPR again

* Tue Jun  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.19.4-2m)
- add BPR poppler-glib-devel

* Wed Apr 21 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19.4-1m)
- update 0.19.4

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19.3-4m)
- rebuild against libjpeg-8a

* Tue Feb  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19.3-3m)
- rebuild against xulrunner-1.9.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19.3-1m)
- update 0.19.3

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19.0-2m)
- rebuild against libjpeg-7

* Wed Jul  1 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19.0-1m)
- update 0.19.0

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18.1-7m)
- rebuild against xulrunner-1.9.1

* Wed Jun 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18.1-6m)
- rebuild against vte-0.20.5

* Tue Jun  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18.1-5m)
- rebuild against vte-0.20.4
.
* Sat Feb 14 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18.1-4m)
- add Requires: ruby-opengl at ruby-gtkglext

* Thu Feb 12 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18.1-3m)
- add Requires comments for ruby-gtkglext
- add Patch15: ruby-gnome2-0.18.1-compile.patch
- rename ruby-panel-applet2 to ruby-panelapplet2
- change ruby-cairo to ruby-cairo-devel at BuildRequires

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18.1-2m)
- rebuild against rpm-4.6

* Mon Oct 27 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.18.1-1m)
- update 0.18.1

* Sat Oct 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.17.0-2m)
- rebuild against poppler-0.10.0

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.17.0-1m)
- update 0.17.0

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.0-13m)
- remove Requires: firefox

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.0-12m)
- rebuild against firefox-3
- rebuild against librsvg2-2.22.2-3m

* Mon Apr 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16.0-11m)
- rebuild against poppler-0.8.0 and cairo-1.6.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.0-10m)
- rebuild against gcc43

* Wed Mar 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.0-9m)
- add patch20 (glib-2.16.1)

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16.0-8m)
- %%NoSource -> NoSource

* Sat Sep  8 2007 Nishio Futoshi <futoshi@momonga-linux>
- (0.16.0-7m)
- update patch11 (poppler-0.6)

* Thu Aug 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.16.0-6m)
- modify ruby_sitelib

* Wed Aug 15 2007 Nishio Futoshi <futoshi@momonga-linux>
- (0.16.0-5m)
- sync Fedora

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-4m)
- add version on Requires for firefox

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16-3m)
- rebuild against ruby-1.8.6-4m

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.16-2m)
- add requires

* Thu Feb  1 2007 Nishio Futoshi <futoshi@momonga-linux>
- (0.16.0-1m)
- update to 0.16.0
- removed ruby-gstreamer ruby-libgda

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.15.0-1m)
- copy from momonga's trunk (r12695)
- update to 0.15.0
- add two sub packages; ruby-poppler, ruby-vte
- add two patches
-- ruby-gnome2-all-0.15.0-firefox-plugin.patch to use firefox-gtkmozembed
-- ruby-gnome2-all-0.15.0-fix-mkmf-gnome2.patch to fix bug in mkmf-gnome2.rb

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.1-2m)
- rebuild against gnome 2.16.0

* Tue Nov 15 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.1-1m)
- bugfix release

* Tue Oct 18 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.0-2m)
- separate packages

* Sun Oct 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.0-2m)
- separate ruby-gtkmozembed

* Sun Oct 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.0-1m)
- version up
- add Ruby/GtkMozEmbed

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.12.0-2m)
- /usr/lib/ruby

* Mon Mar  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.12.0-1m)
- support recent gnome2 environments

* Thu Jan 27 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-5m)
- rebuild against libgda-1.2.0

* Thu Jan 13 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.0-4m)
- rebuild against gtk+-2.6.1
- add patch1

* Mon Dec  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-3m)
- apply 'ruby-gnome2-0.11.0-gnomeprint.patch

* Sun Dec  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-2m)
- with Ruby/GnomePrint

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-1m)
- version up

* Wed Oct 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.1-1m)
- version up

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-6m)
- rebuild against ruby-1.8.2

* Fri Apr 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-5m)
- rebuild against gstreamer-0.8.1
- omit gstreamer library temporarily 

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.1-4m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.1-2m)
- revised spec for rpm 4.2.

* Mon Mar 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.1-1m)
- update to version 0.9.1

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.8.1-2m)
- rebuild against postgresql-7.4.1

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.1-1m)
- version 0.8.1.

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-2m)
- rebuild against libgda.

* Mon Nov 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-1m)
- version up.

* Mon Sep 08 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-2m)
- add sample script of gtkglext.

* Sun Sep 07 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-1m)
- version up.

* Thu Aug 14 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-2m)
- ruby-glade-create-template

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-1m)
- version up.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-3m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-2m)
- merge from HEAD.
- apply patch for ruby-1.8.0.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-1m)
- version up.

* Fri Jun 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-3m)
- rebuild against for gconf.

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-2m)
- rebuild against for XFree86-4.3.0

* Sun Mar 23 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.0-1m)
- version up.

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.0-2m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.3.0-1m)
- version up.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-3m)
- apply patch for GtkClipboard collision bug.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-2m)
- release up.

* Sun Dec 29 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-1m)
- version up.

* Wed Dec 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1-2m)
- i586-linux -> *-linux

* Mon Dec 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1-1m)
- initial revision
